Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UpdateLanguagePackStrings

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateLanguagePackStrings

Enclosing class:
  TdApi

public static final class TdApi.UpdateLanguagePackStrings extends TdApi.Update
Some language pack strings have been updated.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`languagePackId`
Identifier of the updated language pack.
`String`
`localizationTarget`
Localization target to which the language pack belongs.
`TdApi.LanguagePackString[]`
`strings`
List of changed language pack strings.

## Constructor Summary

Constructors
Constructor
Description
`UpdateLanguagePackStrings()`
Some language pack strings have been updated.
`UpdateLanguagePackStrings(DataInput input)`
Some language pack strings have been updated.
`UpdateLanguagePackStrings(String localizationTarget, String languagePackId, TdApi.LanguagePackString[] strings)`
Some language pack strings have been updated.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### localizationTarget

public String localizationTarget
Localization target to which the language pack belongs.

### languagePackId

public String languagePackId
Identifier of the updated language pack.

### strings

public TdApi.LanguagePackString[] strings
List of changed language pack strings.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### UpdateLanguagePackStrings

public UpdateLanguagePackStrings()
Some language pack strings have been updated.

### UpdateLanguagePackStrings

public UpdateLanguagePackStrings(String localizationTarget, String languagePackId, TdApi.LanguagePackString[] strings)
Some language pack strings have been updated.

Parameters:
  `localizationTarget` - String Localization target to which the language pack belongs.
  `languagePackId` - String Identifier of the updated language pack.
  `strings` - LanguagePackString[] List of changed language pack strings.

### UpdateLanguagePackStrings

public UpdateLanguagePackStrings(DataInput input) throws IOException
Some language pack strings have been updated.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`